org.apache.ode.bpel.compiler.wsdl

## Class InvalidBpelPartnerLinkTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.wsdl.WSDLException
      - - org.apache.ode.bpel.compiler.wsdl.InvalidBpelPartnerLinkTypeException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidBpelPartnerLinkTypeException
      extends javax.wsdl.WSDLException

  An exception thrown when a BPEL `<partnerLinkType>` declaration is invalid (from a schema perspective).
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.wsdl.WSDLException

      `CONFIGURATION_ERROR, INVALID_WSDL, NO_PREFIX_SPECIFIED, OTHER_ERROR, PARSER_ERROR, UNBOUND_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidBpelPartnerLinkTypeException(java.lang.String msg)` Construct a new instance with the specified explanatory message.
    `InvalidBpelPartnerLinkTypeException(java.lang.String msg, java.lang.Throwable t)` Construct a new instance with the specified explanatory message and the exception that triggered this exception.

  - ### Method Summary

    - ### Methods inherited from class javax.wsdl.WSDLException

      `getFaultCode, getLocation, getMessage, getTargetException, setFaultCode, setLocation, setTargetException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidBpelPartnerLinkTypeException

          public InvalidBpelPartnerLinkTypeException(java.lang.String msg)

      Construct a new instance with the specified explanatory message.
      Parameters:
        `msg` - an explanatory message.
      See Also:
        `WSDLException.WSDLException(java.lang.String, java.lang.String)`

    - #### InvalidBpelPartnerLinkTypeException

          public InvalidBpelPartnerLinkTypeException(java.lang.String msg,
                                                     java.lang.Throwable t)

      Construct a new instance with the specified explanatory message and the exception that triggered this exception.
      Parameters:
        `msg` - an explanatory message
        `t` - the `Throwable` that triggered this exception.
      See Also:
        `WSDLException.WSDLException(java.lang.String, java.lang.String, java.lang.Throwable)`